package cn.com.wasu.main;

/**
 * 文 件 名: ChannelFlavor
 * 创 建 人: Frewen.Wong
 */
public class ChannelFlavor {

    public static final String DUYA_TECH = "DuYaTech";

    public static final String LETV_MARKET = "LeTV_MARKET";

    public static final String BENQ_FACTORY = "BenQ";

    public static final String XIAOSHUAI_MSD928 = "XiaoShuai_MSD928";


    /**
     * 判断是不是乐视渠道应用
     *
     * @return
     */
    public static boolean isLETV_MARKET() {

        return BuildConfig.FLAVOR.equalsIgnoreCase(LETV_MARKET);
    }

    /**
     * 判断是不是明基渠道应用
     *
     * @return
     */
    public static boolean isBenQ() {
        return BuildConfig.FLAVOR.equalsIgnoreCase(BENQ_FACTORY);
    }

    /**
     * 判断是不是明基渠道应用
     *
     * @return
     */
    public static boolean isXiaoShuai() {
        return BuildConfig.FLAVOR.equalsIgnoreCase(XIAOSHUAI_MSD928);
    }

}
